# Poco

# class TeeOutputStream

Library: Foundation
Package: Streams
Header: Poco/TeeStream.h

## Description

This stream copies all characters written to it to one or multiple output streams.

## Inheritance

Direct Base Classes: TeeIOS, std::ostream

All Base Classes: TeeIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: addStream, rdbuf

## Constructors

### TeeOutputStream

TeeOutputStream();

Creates an unconnected TeeOutputStream.

### TeeOutputStream

TeeOutputStream(
std::ostream & ostr
);

Creates the TeeOutputStream and connects it to the given input stream.

## Destructor

### ~TeeOutputStream

~TeeOutputStream();

Destroys the TeeOutputStream.